<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Slowlyo\OwlAdmin\Models\BaseModel as Model;

/**
 * 订单抢单记录
 */
class OrderGrabRecord extends Model
{
	use SoftDeletes;

	protected $table = 'order_grab_records';

    /**
     * @Author FelixYin
     * @description 抢单记录所属订单
     */
    public function order()
    {
        return $this->belongsTo('App\Models\OrderInfo', 'order_id');
    }

    /**
     * @Author FelixYin
     * @description 抢单记录所属技师
     */
    public function coach()
    {
        return $this->belongsTo('App\Models\CoachUser', 'coach_id');
    }
}